/**
 *******************************************************************************
 * @file    DemoA.c
 * @brief   The driver of FC for the
 *           TOSHIBA 'TMPM384' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#define   NO_CALL_GPIO_FILE

#include "led.h"
#include "lcd.h"

#define     LED_DEMO    LED0
#define     LCD_DEMO    "DEMO A"

void delay(void)
{
    uint32_t i = 0U;
    for (i = 0U; i < 0xFFFFF; i++) {
    }
}

int main(void)
{
    LED_Init();
    LCD_Configuration();
    delay();
    
    while(1){
       Send_To_LCD(FIRST_LINE, LCD_COMMAND);
   
        Send_LCD_Text(LCD_DEMO);
    
        LED_On(LED_DEMO);
        delay();
        LED_Off(LED_DEMO);
        delay();
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
