/**
 *******************************************************************************
 * @file    dma.h
 * @brief   Head file to initialize DMA for application "SSP0 LoopBack with DMA 
 *          in Tx/Rx" for the TOSHIBA 'TMPM384' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
 
#ifndef __DMA_H
#define __DMA_H


#define BUFFER_SIZE  60U

extern const uint16_t SRC_Buffer[BUFFER_SIZE];
extern uint16_t DST_Buffer[BUFFER_SIZE];
extern volatile WorkState TxEndFlag;

void InitDMA(void);

#endif                          /* __DMA_H */
