/** 
 *******************************************************************************
 * @file    tmrb_LeadingTimingdisplay.c
 * @brief   the application functions of TMRB_PPG demo for the TOSHIBA
 *          'TMPM384' Device Series 
 * @version V0.102
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmrb_LeadingTimingdisplay.h"

/**
  * @brief  LeadingTiming Rate to String
  * @param  LeadingTiming number
  * @retval LeadingTiming rate string
  */
char *LeadingTimingRateToString(uint8_t num)
{
    static char LeadingTiming[19] = "LeadingTiming:   %";

    switch (num) {
    case 0:
        LeadingTiming[6] = '1';
        LeadingTiming[7] = '0';
        break;                  /* LeadingTiming: 10% */
    case 1:
        LeadingTiming[6] = '2';
        LeadingTiming[7] = '5';
        break;                  /* LeadingTiming: 25% */
    case 2:
        LeadingTiming[6] = '5';
        LeadingTiming[7] = '0';
        break;                  /* LeadingTiming: 50% */
    case 3:
        LeadingTiming[6] = '7';
        LeadingTiming[7] = '5';
        break;                  /* LeadingTiming: 75% */
    case 4:
        LeadingTiming[6] = '9';
        LeadingTiming[7] = '0';
        break;                  /* LeadingTiming: 90% */
    default:
        /* do nothing */
        break;                  /* no other cases */
    }

    return LeadingTiming;
}
