/**
 ******************************************************************************
 * @file     sw.c
 * @brief    SW driver for the TOSHIBA 'TMPM384' Device Series
 * @version  V0.101
 * @date     2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */


/* Includes ------------------------------------------------------------------*/
#include "sw.h"

/*******************************************************************************
* Function Name  : SW_Init
* Description    : Initialize the GPIO to SW 
* Input          : None 
* Return         : None.
*******************************************************************************/
void SW_Init(void)
{

    GPIO_SetInput(SW_PORT, SW04_BIT|SW15_BIT|SW26_BIT|SW37_BIT);  

    GPIO_SetOutput(SWS_PORT, SWS_BIT);
}

/*******************************************************************************
* Function Name  : SW_Get
* Description    : Get SW Value
* Input          : SW (choose from SW0 ~ SW7).
* Return         : SW value.
*******************************************************************************/
uint8_t SW_Get(uint8_t sw)
{
    uint8_t tmp = 0U;
    if (sw < 4) {
        GPIO_WriteDataBit(SWS_PORT, SWS_BIT, GPIO_BIT_VALUE_0);
    } else {
        GPIO_WriteDataBit(SWS_PORT, SWS_BIT, GPIO_BIT_VALUE_1);
    }
    switch (sw) {
    case SW0:
    case SW4:
        if (GPIO_ReadDataBit(SW04_PORT, SW04_BIT) == 1U) {
            tmp = 1U;
        } else {
            /*do nothing */
        }
        break;
    case SW1:
    case SW5:
        if (GPIO_ReadDataBit(SW15_PORT, SW15_BIT) == 1U) {
            tmp = 1U;
        } else {
            /*do nothing */
        }
        break;
    case SW2:
    case SW6:
	    if (GPIO_ReadDataBit(SW26_PORT, SW26_BIT) == 1U) {
            tmp = 1U;
        } else {
            
        }	 
        break;
    case SW3:
    case SW7:
        if (GPIO_ReadDataBit(SW37_PORT, SW37_BIT) == 1U) {
            tmp = 1U;
        } else {
            
        }	   
        break;
    default:
        break;
    }
    return tmp;

}
