/**
 ******************************************************************************
 * @file     sw.h
 * @brief    SW driver for the TOSHIBA 'TMPM384' Device Series
 * @version  V0.101
 * @date     2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __SW_H
#define __SW_H

#include "TMPM384.h"
#include "tmpm384_gpio.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

#define SW0         0U
#define SW1         1U
#define SW2         2U
#define SW3         3U
#define SW4         4U
#define SW5         5U
#define SW6         6U
#define SW7         7U

#define SW_PORT         GPIO_PH
#define SW04_PORT       SW_PORT
#define SW15_PORT       SW_PORT
#define SW26_PORT       SW_PORT
#define SW37_PORT       SW_PORT

#define SW04_BIT        GPIO_BIT_0
#define SW15_BIT        GPIO_BIT_1
#define SW26_BIT        GPIO_BIT_2
#define SW37_BIT        GPIO_BIT_3
#define SWS_PORT        GPIO_PH
#define SWS_BIT         GPIO_BIT_4

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void SW_Init(void);
uint8_t SW_Get(uint8_t SW);

#endif                          /* SW_H */
