/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of VLTD (Voltage Detection Circuit) demo
 *          for the TOSHIBA 'TMPM384' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#include "main.h"

int main(void)
{
    WDT_Disable();              /* Disable WDT explicitly */

    LED_Init();                  /* Initialize LED */
 //   LedDisable(LED_CH1 | LED_CH2 | LED_CH3);    /* Turn off the digits */

    VLTD_SetVoltage(VLTD_DETECT_VOLTAGE_46);    /* change the parameter to select
                                                   different detection voltage */
    VLTD_Enable();

    while (1) {
        /* Do nothing */
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
